Subject: Re: [PATCH 3/3] bonding: Improve IGMP join processing

From: Brian Haley <[email-masked]>
Date: Thu, 01 Mar 2007 14:25:19 -0500

Jay Vosburgh wrote:
>> My only concern is that this code assumes all mcast addresses stored in
>> dev->mc-list list are for ipv4 igmp mcast addresses and nothing was done
>> for ipv6.
>>
>> But this is much better than what we have now, so... 
> 
> 	Agreed, but there's no IPv6 support anywhere in bonding at
> present (for unicast or multicast), so this isn't really a loss.

So forgive my naive question, but what would it take to make IPv6 work? 
  I know DAD fails on a test setup I have, but I haven't dug-into why 
this is (I can guess), and I'd like to see it working.  I'm willing to 
help, even if just to get it limping along.

-Brian